Chris Share wrote:
I'm currently using Pango version 1.10.1 which is in the gtk/2.8 folder. There isn't a windows folder in the 2.9 folder however there are later versions of Pango. Should I use one of these?
Chris,
The 2.9 folder is the development version of GTK. 2.8 is the latest stable series of GTK and would be the best version to compile against. In any event, you're not going to find Windows binaries of 2.9 for a while. At least, that's what seems to be typical. Just grab the latest binaries from the 2.8 series. While the latest binary versions of GTK for Windows haven't been posted yet, you should be able to get by with what's available.


I don't know anything about the build script. I found it at

http://wiki.gimp.org/gimp/HowToCompileGimp/MicrosoftWindows?highlight=%28windows%29

If this script in only a convenience, what's the recommended way of building the GIMP on Windows?

This script is a convenience tool. As a matter of fact, even the CompileGIMP.sh script is a convenience tool. You could manually follow the instructions from the script to install MSys, MinGW, and ActivePerl to compile GIMP against, but as mentioned previously in this thread, manually building your compile environment can be more troublesome than anything else when compiling in Windows. And CompileGIMP.sh (unless it's been updated recently) only references libraries and files from GTK 2.6. That's fine unless you plan to compile the GIMP 2.3 series from tarball or CVS. They require GTK 2.8.

Hope this helps.

Lance
_______________________________________________
Gimp-developer mailing list
Gimp-developer@lists.XCF.Berkeley.EDU
https://lists.XCF.Berkeley.EDU/mailman/listinfo/gimp-developer

Reply via email to